DECLARE @operacion as varchar(15) = 'CREATE'
IF EXISTS (SELECT * FROM sys.objects WHERE object_id = OBJECT_ID(N'[dbo].[ins_doc_prioridadDocumento]') AND type in (N'P', N'PC'))
BEGIN
	SET @operacion = 'ALTER'
END

execute(
   @operacion + ' PROCEDURE [dbo].[ins_doc_prioridadDocumento]
	@p_uid varchar(500),
		@p_eid varchar(50),
		@p_id_usuario_modifico int,
		@p_id_usuario_creo int,
		@p_prioridadDocumento varchar(300),
		@p_prioridadDocumento_codigo varchar(100),
		@p_tiempoRespuesta int,
		@p_id_tipoDocumento int,
		@p_id_estrategiaPrioridad int,
		@p_orden int
		AS
		BEGIN
			DECLARE @v_id int
		INSERT INTO [doc_prioridadDocumento]
			([uid],
			[eid],
			[id_usuario_modifico],
			[id_usuario_creo],
			[fechaModificacion],
			[fechaCreacion],
			[prioridadDocumento],
			[prioridadDocumento_codigo],
			[tiempoRespuesta],
			[id_tipoDocumento],
			[id_estrategiaPrioridad],
			[orden])
		VALUES(	@p_uid,
			@p_eid,
			@p_id_usuario_modifico,
			@p_id_usuario_creo,
			GETDATE(),
			GETDATE(),
			@p_prioridadDocumento,
			@p_prioridadDocumento_codigo,
			@p_tiempoRespuesta,
			@p_id_tipoDocumento,
			@p_id_estrategiaPrioridad,
			@p_orden)
		SET @v_id = scope_identity()
UPDATE [doc_prioridadDocumento] set [uid] = [uid] + ''_'' + convert(varchar(20),@v_id) where [id]=@v_id
SELECT @v_id as id
RETURN @v_id
END
')